llvm.org GIT mirror llvm / 3c7a96c
Merging r214129: ------------------------------------------------------------------------ r214129 | echristo | 2014-07-28 15:00:44 -0700 (Mon, 28 Jul 2014) | 2 lines Regenerate autoconf, previous updates to the configury haven't been updating configure. ------------------------------------------------------------------------ git-svn-id: https://llvm.org/svn/llvm-project/llvm/branches/release_35@214261 91177308-0d34-0410-b5e6-96231b3b80d8 Hans Wennborg 5 years ago
2 changed file(s) with 115 addition(s) and 687 deletion(s). Raw diff Collapse all Expand all
1313 ## M4sh Initialization. ##
1414 ## --------------------- ##
1515
16 # Be Bourne compatible.
16 # Be Bourne compatible
1717 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1818 emulate sh
1919 NULLCMD=:
690690 ENABLE_CLANG_ARCMT
691691 CLANG_PLUGIN_SUPPORT
692692 ENABLE_CLANG_STATIC_ANALYZER
693 ENABLE_CLANG_REWRITER
694693 ENABLE_OPTIMIZED
695694 ENABLE_PROFILING
696695 DISABLE_ASSERTIONS
741740 SED
742741 TAR
743742 BINPWD
744 GRAPHVIZ
745743 DOT
746 FDP
747 NEATO
748 TWOPI
749 CIRCO
750 GV
751 DOTTY
752 XDOT
753744 INSTALL_PROGRAM
754745 INSTALL_SCRIPT
755746 INSTALL_DATA
775766 PYTHON
776767 HAVE_DLOPEN
777768 HAVE_TERMINFO
778 USE_UDIS86
779769 USE_OPROFILE
780770 USE_INTEL_JITEVENTS
781771 XML2CONFIG
14111401 --enable-clang-static-analyzer
14121402 Enable building of clang Static Analyzer (default is
14131403 YES)
1414 --enable-clang-rewriter Enable building of clang rewriter (default is YES)
14151404 --enable-optimized Compile with optimizations enabled (default is NO)
14161405 --enable-profiling Compile with profiling enabled (default is NO)
14171406 --enable-assertions Compile with assertion checks enabled (default is
14821471 submitted (default=http://llvm.org/bugs/)
14831472 --with-internal-prefix Installation directory for internal files
14841473 --with-python path to python
1485 --with-udis86= Use udis86 external x86 disassembler library
14861474 --with-oprofile=
14871475 Tell OProfile >= 0.9.4 how to symbolize JIT output
14881476 --with-intel-jitevents Notify Intel JIT profiling API of generated code
49204908 { (exit 1); exit 1; }; } ;;
49214909 esac
49224910
4923 # Check whether --enable-clang-rewriter was given.
4924 if test "${enable_clang_rewriter+set}" = set; then
4925 enableval=$enable_clang_rewriter;
4926 else
4927 enableval="yes"
4928 fi
4929
4930 case "$enableval" in
4931 yes) ENABLE_CLANG_REWRITER=1
4932 ;;
4933 no)
4934 if test ${clang_arcmt} != "no" ; then
4935 { { echo "$as_me:$LINENO: error: Cannot enable clang ARC Migration Tool while disabling rewriter." >&5
4936 echo "$as_me: error: Cannot enable clang ARC Migration Tool while disabling rewriter." >&2;}
4937 { (exit 1); exit 1; }; }
4938 fi
4939 if test ${clang_static_analyzer} != "no" ; then
4940 { { echo "$as_me:$LINENO: error: Cannot enable clang static analyzer while disabling rewriter." >&5
4941 echo "$as_me: error: Cannot enable clang static analyzer while disabling rewriter." >&2;}
4942 { (exit 1); exit 1; }; }
4943 fi
4944 ENABLE_CLANG_REWRITER=0
4945
4946 ;;
4947 default) ENABLE_CLANG_REWRITER=1
4948 ;;
4949 *) { { echo "$as_me:$LINENO: error: Invalid setting for --enable-clang-rewriter. Use \"yes\" or \"no\"" >&5
4950 echo "$as_me: error: Invalid setting for --enable-clang-rewriter. Use \"yes\" or \"no\"" >&2;}
4951 { (exit 1); exit 1; }; } ;;
4952 esac
4953
49544911 # Check whether --enable-optimized was given.
49554912 if test "${enable_optimized+set}" = set; then
49564913 enableval=$enable_optimized;
64996456
65006457
65016458
6502 # Extract the first word of "Graphviz", so it can be a program name with args.
6503 set dummy Graphviz; ac_word=$2
6504 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6505 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6506 if test "${ac_cv_path_GRAPHVIZ+set}" = set; then
6507 echo $ECHO_N "(cached) $ECHO_C" >&6
6508 else
6509 case $GRAPHVIZ in
6510 [\\/]* | ?:[\\/]*)
6511 ac_cv_path_GRAPHVIZ="$GRAPHVIZ" # Let the user override the test with a path.
6512 ;;
6513 *)
6514 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6515 for as_dir in $PATH
6516 do
6517 IFS=$as_save_IFS
6518 test -z "$as_dir" && as_dir=.
6519 for ac_exec_ext in '' $ac_executable_extensions; do
6520 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6521 ac_cv_path_GRAPHVIZ="$as_dir/$ac_word$ac_exec_ext"
6522 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6523 break 2
6524 fi
6525 done
6526 done
6527 IFS=$as_save_IFS
6528
6529 test -z "$ac_cv_path_GRAPHVIZ" && ac_cv_path_GRAPHVIZ="echo Graphviz"
6530 ;;
6531 esac
6532 fi
6533 GRAPHVIZ=$ac_cv_path_GRAPHVIZ
6534 if test -n "$GRAPHVIZ"; then
6535 { echo "$as_me:$LINENO: result: $GRAPHVIZ" >&5
6536 echo "${ECHO_T}$GRAPHVIZ" >&6; }
6537 else
6538 { echo "$as_me:$LINENO: result: no" >&5
6539 echo "${ECHO_T}no" >&6; }
6540 fi
6541
6542
6543 if test "$GRAPHVIZ" != "echo Graphviz" ; then
6544
6545 cat >>confdefs.h <<\_ACEOF
6546 #define HAVE_GRAPHVIZ 1
6547 _ACEOF
6548
6549 if test "$llvm_cv_os_type" = "MingW" ; then
6550 GRAPHVIZ=`echo $GRAPHVIZ | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6551 fi
6552
6553 cat >>confdefs.h <<_ACEOF
6554 #define LLVM_PATH_GRAPHVIZ "$GRAPHVIZ${EXEEXT}"
6555 _ACEOF
6556
6557 fi
65586459 # Extract the first word of "dot", so it can be a program name with args.
65596460 set dummy dot; ac_word=$2
65606461 { echo "$as_me:$LINENO: checking for $ac_word" >&5
66086509
66096510 cat >>confdefs.h <<_ACEOF
66106511 #define LLVM_PATH_DOT "$DOT${EXEEXT}"
6611 _ACEOF
6612
6613 fi
6614 # Extract the first word of "fdp", so it can be a program name with args.
6615 set dummy fdp; ac_word=$2
6616 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6617 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6618 if test "${ac_cv_path_FDP+set}" = set; then
6619 echo $ECHO_N "(cached) $ECHO_C" >&6
6620 else
6621 case $FDP in
6622 [\\/]* | ?:[\\/]*)
6623 ac_cv_path_FDP="$FDP" # Let the user override the test with a path.
6624 ;;
6625 *)
6626 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6627 for as_dir in $PATH
6628 do
6629 IFS=$as_save_IFS
6630 test -z "$as_dir" && as_dir=.
6631 for ac_exec_ext in '' $ac_executable_extensions; do
6632 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6633 ac_cv_path_FDP="$as_dir/$ac_word$ac_exec_ext"
6634 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6635 break 2
6636 fi
6637 done
6638 done
6639 IFS=$as_save_IFS
6640
6641 test -z "$ac_cv_path_FDP" && ac_cv_path_FDP="echo fdp"
6642 ;;
6643 esac
6644 fi
6645 FDP=$ac_cv_path_FDP
6646 if test -n "$FDP"; then
6647 { echo "$as_me:$LINENO: result: $FDP" >&5
6648 echo "${ECHO_T}$FDP" >&6; }
6649 else
6650 { echo "$as_me:$LINENO: result: no" >&5
6651 echo "${ECHO_T}no" >&6; }
6652 fi
6653
6654
6655 if test "$FDP" != "echo fdp" ; then
6656
6657 cat >>confdefs.h <<\_ACEOF
6658 #define HAVE_FDP 1
6659 _ACEOF
6660
6661 if test "$llvm_cv_os_type" = "MingW" ; then
6662 FDP=`echo $FDP | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6663 fi
6664
6665 cat >>confdefs.h <<_ACEOF
6666 #define LLVM_PATH_FDP "$FDP${EXEEXT}"
6667 _ACEOF
6668
6669 fi
6670 # Extract the first word of "neato", so it can be a program name with args.
6671 set dummy neato; ac_word=$2
6672 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6673 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6674 if test "${ac_cv_path_NEATO+set}" = set; then
6675 echo $ECHO_N "(cached) $ECHO_C" >&6
6676 else
6677 case $NEATO in
6678 [\\/]* | ?:[\\/]*)
6679 ac_cv_path_NEATO="$NEATO" # Let the user override the test with a path.
6680 ;;
6681 *)
6682 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6683 for as_dir in $PATH
6684 do
6685 IFS=$as_save_IFS
6686 test -z "$as_dir" && as_dir=.
6687 for ac_exec_ext in '' $ac_executable_extensions; do
6688 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6689 ac_cv_path_NEATO="$as_dir/$ac_word$ac_exec_ext"
6690 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6691 break 2
6692 fi
6693 done
6694 done
6695 IFS=$as_save_IFS
6696
6697 test -z "$ac_cv_path_NEATO" && ac_cv_path_NEATO="echo neato"
6698 ;;
6699 esac
6700 fi
6701 NEATO=$ac_cv_path_NEATO
6702 if test -n "$NEATO"; then
6703 { echo "$as_me:$LINENO: result: $NEATO" >&5
6704 echo "${ECHO_T}$NEATO" >&6; }
6705 else
6706 { echo "$as_me:$LINENO: result: no" >&5
6707 echo "${ECHO_T}no" >&6; }
6708 fi
6709
6710
6711 if test "$NEATO" != "echo neato" ; then
6712
6713 cat >>confdefs.h <<\_ACEOF
6714 #define HAVE_NEATO 1
6715 _ACEOF
6716
6717 if test "$llvm_cv_os_type" = "MingW" ; then
6718 NEATO=`echo $NEATO | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6719 fi
6720
6721 cat >>confdefs.h <<_ACEOF
6722 #define LLVM_PATH_NEATO "$NEATO${EXEEXT}"
6723 _ACEOF
6724
6725 fi
6726 # Extract the first word of "twopi", so it can be a program name with args.
6727 set dummy twopi; ac_word=$2
6728 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6729 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6730 if test "${ac_cv_path_TWOPI+set}" = set; then
6731 echo $ECHO_N "(cached) $ECHO_C" >&6
6732 else
6733 case $TWOPI in
6734 [\\/]* | ?:[\\/]*)
6735 ac_cv_path_TWOPI="$TWOPI" # Let the user override the test with a path.
6736 ;;
6737 *)
6738 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6739 for as_dir in $PATH
6740 do
6741 IFS=$as_save_IFS
6742 test -z "$as_dir" && as_dir=.
6743 for ac_exec_ext in '' $ac_executable_extensions; do
6744 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6745 ac_cv_path_TWOPI="$as_dir/$ac_word$ac_exec_ext"
6746 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6747 break 2
6748 fi
6749 done
6750 done
6751 IFS=$as_save_IFS
6752
6753 test -z "$ac_cv_path_TWOPI" && ac_cv_path_TWOPI="echo twopi"
6754 ;;
6755 esac
6756 fi
6757 TWOPI=$ac_cv_path_TWOPI
6758 if test -n "$TWOPI"; then
6759 { echo "$as_me:$LINENO: result: $TWOPI" >&5
6760 echo "${ECHO_T}$TWOPI" >&6; }
6761 else
6762 { echo "$as_me:$LINENO: result: no" >&5
6763 echo "${ECHO_T}no" >&6; }
6764 fi
6765
6766
6767 if test "$TWOPI" != "echo twopi" ; then
6768
6769 cat >>confdefs.h <<\_ACEOF
6770 #define HAVE_TWOPI 1
6771 _ACEOF
6772
6773 if test "$llvm_cv_os_type" = "MingW" ; then
6774 TWOPI=`echo $TWOPI | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6775 fi
6776
6777 cat >>confdefs.h <<_ACEOF
6778 #define LLVM_PATH_TWOPI "$TWOPI${EXEEXT}"
6779 _ACEOF
6780
6781 fi
6782 # Extract the first word of "circo", so it can be a program name with args.
6783 set dummy circo; ac_word=$2
6784 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6785 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6786 if test "${ac_cv_path_CIRCO+set}" = set; then
6787 echo $ECHO_N "(cached) $ECHO_C" >&6
6788 else
6789 case $CIRCO in
6790 [\\/]* | ?:[\\/]*)
6791 ac_cv_path_CIRCO="$CIRCO" # Let the user override the test with a path.
6792 ;;
6793 *)
6794 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6795 for as_dir in $PATH
6796 do
6797 IFS=$as_save_IFS
6798 test -z "$as_dir" && as_dir=.
6799 for ac_exec_ext in '' $ac_executable_extensions; do
6800 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6801 ac_cv_path_CIRCO="$as_dir/$ac_word$ac_exec_ext"
6802 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6803 break 2
6804 fi
6805 done
6806 done
6807 IFS=$as_save_IFS
6808
6809 test -z "$ac_cv_path_CIRCO" && ac_cv_path_CIRCO="echo circo"
6810 ;;
6811 esac
6812 fi
6813 CIRCO=$ac_cv_path_CIRCO
6814 if test -n "$CIRCO"; then
6815 { echo "$as_me:$LINENO: result: $CIRCO" >&5
6816 echo "${ECHO_T}$CIRCO" >&6; }
6817 else
6818 { echo "$as_me:$LINENO: result: no" >&5
6819 echo "${ECHO_T}no" >&6; }
6820 fi
6821
6822
6823 if test "$CIRCO" != "echo circo" ; then
6824
6825 cat >>confdefs.h <<\_ACEOF
6826 #define HAVE_CIRCO 1
6827 _ACEOF
6828
6829 if test "$llvm_cv_os_type" = "MingW" ; then
6830 CIRCO=`echo $CIRCO | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6831 fi
6832
6833 cat >>confdefs.h <<_ACEOF
6834 #define LLVM_PATH_CIRCO "$CIRCO${EXEEXT}"
6835 _ACEOF
6836
6837 fi
6838 for ac_prog in gv gsview32
6839 do
6840 # Extract the first word of "$ac_prog", so it can be a program name with args.
6841 set dummy $ac_prog; ac_word=$2
6842 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6843 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6844 if test "${ac_cv_path_GV+set}" = set; then
6845 echo $ECHO_N "(cached) $ECHO_C" >&6
6846 else
6847 case $GV in
6848 [\\/]* | ?:[\\/]*)
6849 ac_cv_path_GV="$GV" # Let the user override the test with a path.
6850 ;;
6851 *)
6852 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6853 for as_dir in $PATH
6854 do
6855 IFS=$as_save_IFS
6856 test -z "$as_dir" && as_dir=.
6857 for ac_exec_ext in '' $ac_executable_extensions; do
6858 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6859 ac_cv_path_GV="$as_dir/$ac_word$ac_exec_ext"
6860 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6861 break 2
6862 fi
6863 done
6864 done
6865 IFS=$as_save_IFS
6866
6867 ;;
6868 esac
6869 fi
6870 GV=$ac_cv_path_GV
6871 if test -n "$GV"; then
6872 { echo "$as_me:$LINENO: result: $GV" >&5
6873 echo "${ECHO_T}$GV" >&6; }
6874 else
6875 { echo "$as_me:$LINENO: result: no" >&5
6876 echo "${ECHO_T}no" >&6; }
6877 fi
6878
6879
6880 test -n "$GV" && break
6881 done
6882 test -n "$GV" || GV="echo gv"
6883
6884 if test "$GV" != "echo gv" ; then
6885
6886 cat >>confdefs.h <<\_ACEOF
6887 #define HAVE_GV 1
6888 _ACEOF
6889
6890 if test "$llvm_cv_os_type" = "MingW" ; then
6891 GV=`echo $GV | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6892 fi
6893
6894 cat >>confdefs.h <<_ACEOF
6895 #define LLVM_PATH_GV "$GV${EXEEXT}"
6896 _ACEOF
6897
6898 fi
6899 # Extract the first word of "dotty", so it can be a program name with args.
6900 set dummy dotty; ac_word=$2
6901 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6902 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6903 if test "${ac_cv_path_DOTTY+set}" = set; then
6904 echo $ECHO_N "(cached) $ECHO_C" >&6
6905 else
6906 case $DOTTY in
6907 [\\/]* | ?:[\\/]*)
6908 ac_cv_path_DOTTY="$DOTTY" # Let the user override the test with a path.
6909 ;;
6910 *)
6911 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6912 for as_dir in $PATH
6913 do
6914 IFS=$as_save_IFS
6915 test -z "$as_dir" && as_dir=.
6916 for ac_exec_ext in '' $ac_executable_extensions; do
6917 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6918 ac_cv_path_DOTTY="$as_dir/$ac_word$ac_exec_ext"
6919 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6920 break 2
6921 fi
6922 done
6923 done
6924 IFS=$as_save_IFS
6925
6926 test -z "$ac_cv_path_DOTTY" && ac_cv_path_DOTTY="echo dotty"
6927 ;;
6928 esac
6929 fi
6930 DOTTY=$ac_cv_path_DOTTY
6931 if test -n "$DOTTY"; then
6932 { echo "$as_me:$LINENO: result: $DOTTY" >&5
6933 echo "${ECHO_T}$DOTTY" >&6; }
6934 else
6935 { echo "$as_me:$LINENO: result: no" >&5
6936 echo "${ECHO_T}no" >&6; }
6937 fi
6938
6939
6940 if test "$DOTTY" != "echo dotty" ; then
6941
6942 cat >>confdefs.h <<\_ACEOF
6943 #define HAVE_DOTTY 1
6944 _ACEOF
6945
6946 if test "$llvm_cv_os_type" = "MingW" ; then
6947 DOTTY=`echo $DOTTY | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
6948 fi
6949
6950 cat >>confdefs.h <<_ACEOF
6951 #define LLVM_PATH_DOTTY "$DOTTY${EXEEXT}"
6952 _ACEOF
6953
6954 fi
6955 for ac_prog in xdot xdot.py
6956 do
6957 # Extract the first word of "$ac_prog", so it can be a program name with args.
6958 set dummy $ac_prog; ac_word=$2
6959 { echo "$as_me:$LINENO: checking for $ac_word" >&5
6960 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
6961 if test "${ac_cv_path_XDOT+set}" = set; then
6962 echo $ECHO_N "(cached) $ECHO_C" >&6
6963 else
6964 case $XDOT in
6965 [\\/]* | ?:[\\/]*)
6966 ac_cv_path_XDOT="$XDOT" # Let the user override the test with a path.
6967 ;;
6968 *)
6969 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
6970 for as_dir in $PATH
6971 do
6972 IFS=$as_save_IFS
6973 test -z "$as_dir" && as_dir=.
6974 for ac_exec_ext in '' $ac_executable_extensions; do
6975 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
6976 ac_cv_path_XDOT="$as_dir/$ac_word$ac_exec_ext"
6977 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
6978 break 2
6979 fi
6980 done
6981 done
6982 IFS=$as_save_IFS
6983
6984 ;;
6985 esac
6986 fi
6987 XDOT=$ac_cv_path_XDOT
6988 if test -n "$XDOT"; then
6989 { echo "$as_me:$LINENO: result: $XDOT" >&5
6990 echo "${ECHO_T}$XDOT" >&6; }
6991 else
6992 { echo "$as_me:$LINENO: result: no" >&5
6993 echo "${ECHO_T}no" >&6; }
6994 fi
6995
6996
6997 test -n "$XDOT" && break
6998 done
6999 test -n "$XDOT" || XDOT="echo xdot"
7000
7001 if test "$XDOT" != "echo xdot" ; then
7002
7003 cat >>confdefs.h <<\_ACEOF
7004 #define HAVE_XDOT 1
7005 _ACEOF
7006
7007 if test "$llvm_cv_os_type" = "MingW" ; then
7008 XDOT=`echo $XDOT | sed 's/^\/\([A-Za-z]\)\//\1:\//' `
7009 fi
7010
7011 cat >>confdefs.h <<_ACEOF
7012 #define LLVM_PATH_XDOT "$XDOT${EXEEXT}"
70136512 _ACEOF
70146513
70156514 fi
102249723 fi
102259724
102269725 fi
10227
10228
10229 # Check whether --with-udis86 was given.
10230 if test "${with_udis86+set}" = set; then
10231 withval=$with_udis86;
10232 USE_UDIS86=1
10233
10234 case "$withval" in
10235 /usr/lib|yes) ;;
10236 *) LDFLAGS="$LDFLAGS -L${withval}" ;;
10237 esac
10238
10239 { echo "$as_me:$LINENO: checking for ud_init in -ludis86" >&5
10240 echo $ECHO_N "checking for ud_init in -ludis86... $ECHO_C" >&6; }
10241 if test "${ac_cv_lib_udis86_ud_init+set}" = set; then
10242 echo $ECHO_N "(cached) $ECHO_C" >&6
10243 else
10244 ac_check_lib_save_LIBS=$LIBS
10245 LIBS="-ludis86 $LIBS"
10246 cat >conftest.$ac_ext <<_ACEOF
10247 /* confdefs.h. */
10248 _ACEOF
10249 cat confdefs.h >>conftest.$ac_ext
10250 cat >>conftest.$ac_ext <<_ACEOF
10251 /* end confdefs.h. */
10252
10253 /* Override any GCC internal prototype to avoid an error.
10254 Use char because int might match the return type of a GCC
10255 builtin and then its argument prototype would still apply. */
10256 #ifdef __cplusplus
10257 extern "C"
10258 #endif
10259 char ud_init ();
10260 int
10261 main ()
10262 {
10263 return ud_init ();
10264 ;
10265 return 0;
10266 }
10267 _ACEOF
10268 rm -f conftest.$ac_objext conftest$ac_exeext
10269 if { (ac_try="$ac_link"
10270 case "(($ac_try" in
10271 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10272 *) ac_try_echo=$ac_try;;
10273 esac
10274 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10275 (eval "$ac_link") 2>conftest.er1
10276 ac_status=$?
10277 grep -v '^ *+' conftest.er1 >conftest.err
10278 rm -f conftest.er1
10279 cat conftest.err >&5
10280 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10281 (exit $ac_status); } &&
10282 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
10283 { (case "(($ac_try" in
10284 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10285 *) ac_try_echo=$ac_try;;
10286 esac
10287 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10288 (eval "$ac_try") 2>&5
10289 ac_status=$?
10290 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10291 (exit $ac_status); }; } &&
10292 { ac_try='test -s conftest$ac_exeext'
10293 { (case "(($ac_try" in
10294 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10295 *) ac_try_echo=$ac_try;;
10296 esac
10297 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10298 (eval "$ac_try") 2>&5
10299 ac_status=$?
10300 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10301 (exit $ac_status); }; }; then
10302 ac_cv_lib_udis86_ud_init=yes
10303 else
10304 echo "$as_me: failed program was:" >&5
10305 sed 's/^/| /' conftest.$ac_ext >&5
10306
10307 ac_cv_lib_udis86_ud_init=no
10308 fi
10309
10310 rm -f core conftest.err conftest.$ac_objext \
10311 conftest$ac_exeext conftest.$ac_ext
10312 LIBS=$ac_check_lib_save_LIBS
10313 fi
10314 { echo "$as_me:$LINENO: result: $ac_cv_lib_udis86_ud_init" >&5
10315 echo "${ECHO_T}$ac_cv_lib_udis86_ud_init" >&6; }
10316 if test $ac_cv_lib_udis86_ud_init = yes; then
10317 cat >>confdefs.h <<_ACEOF
10318 #define HAVE_LIBUDIS86 1
10319 _ACEOF
10320
10321 LIBS="-ludis86 $LIBS"
10322
10323 else
10324
10325 echo "Error! You need to have libudis86 around."
10326 exit -1
10327
10328 fi
10329
10330
10331 else
10332 USE_UDIS86=0
10333
10334 fi
10335
10336
10337 cat >>confdefs.h <<_ACEOF
10338 #define USE_UDIS86 $USE_UDIS86
10339 _ACEOF
10340
103419726
103429727
103439728 # Check whether --with-oprofile was given.
2020219587 ENABLE_CLANG_ARCMT!$ENABLE_CLANG_ARCMT$ac_delim
2020319588 CLANG_PLUGIN_SUPPORT!$CLANG_PLUGIN_SUPPORT$ac_delim
2020419589 ENABLE_CLANG_STATIC_ANALYZER!$ENABLE_CLANG_STATIC_ANALYZER$ac_delim
20205 ENABLE_CLANG_REWRITER!$ENABLE_CLANG_REWRITER$ac_delim
2020619590 ENABLE_OPTIMIZED!$ENABLE_OPTIMIZED$ac_delim
2020719591 ENABLE_PROFILING!$ENABLE_PROFILING$ac_delim
2020819592 DISABLE_ASSERTIONS!$DISABLE_ASSERTIONS$ac_delim
2021019594 ENABLE_EXPENSIVE_CHECKS!$ENABLE_EXPENSIVE_CHECKS$ac_delim
2021119595 EXPENSIVE_CHECKS!$EXPENSIVE_CHECKS$ac_delim
2021219596 DEBUG_RUNTIME!$DEBUG_RUNTIME$ac_delim
19597 DEBUG_SYMBOLS!$DEBUG_SYMBOLS$ac_delim
2021319598 _ACEOF
2021419599
2021519600 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2025119636 ac_delim='%!_!# '
2025219637 for ac_last_try in false false false false false :; do
2025319638 cat >conf$$subs.sed <<_ACEOF
20254 DEBUG_SYMBOLS!$DEBUG_SYMBOLS$ac_delim
2025519639 KEEP_SYMBOLS!$KEEP_SYMBOLS$ac_delim
2025619640 JIT!$JIT$ac_delim
2025719641 TARGET_HAS_JIT!$TARGET_HAS_JIT$ac_delim
2029419678 SED!$SED$ac_delim
2029519679 TAR!$TAR$ac_delim
2029619680 BINPWD!$BINPWD$ac_delim
20297 GRAPHVIZ!$GRAPHVIZ$ac_delim
2029819681 DOT!$DOT$ac_delim
20299 FDP!$FDP$ac_delim
20300 NEATO!$NEATO$ac_delim
20301 TWOPI!$TWOPI$ac_delim
20302 CIRCO!$CIRCO$ac_delim
20303 GV!$GV$ac_delim
20304 DOTTY!$DOTTY$ac_delim
20305 XDOT!$XDOT$ac_delim
2030619682 INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
2030719683 INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
2030819684 INSTALL_DATA!$INSTALL_DATA$ac_delim
2032819704 PYTHON!$PYTHON$ac_delim
2032919705 HAVE_DLOPEN!$HAVE_DLOPEN$ac_delim
2033019706 HAVE_TERMINFO!$HAVE_TERMINFO$ac_delim
20331 USE_UDIS86!$USE_UDIS86$ac_delim
2033219707 USE_OPROFILE!$USE_OPROFILE$ac_delim
2033319708 USE_INTEL_JITEVENTS!$USE_INTEL_JITEVENTS$ac_delim
2033419709 XML2CONFIG!$XML2CONFIG$ac_delim
2034819723 LLVM_INCLUDEDIR!$LLVM_INCLUDEDIR$ac_delim
2034919724 LLVM_INFODIR!$LLVM_INFODIR$ac_delim
2035019725 LLVM_MANDIR!$LLVM_MANDIR$ac_delim
19726 LLVM_CONFIGTIME!$LLVM_CONFIGTIME$ac_delim
19727 BINDINGS_TO_BUILD!$BINDINGS_TO_BUILD$ac_delim
19728 ALL_BINDINGS!$ALL_BINDINGS$ac_delim
19729 OCAML_LIBDIR!$OCAML_LIBDIR$ac_delim
19730 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
19731 RPATH!$RPATH$ac_delim
19732 RDYNAMIC!$RDYNAMIC$ac_delim
19733 program_prefix!$program_prefix$ac_delim
19734 LIBOBJS!$LIBOBJS$ac_delim
19735 LTLIBOBJS!$LTLIBOBJS$ac_delim
2035119736 _ACEOF
2035219737
2035319738 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2038219767 ' >>$CONFIG_STATUS
2038319768 rm -f conf$$subs.sed
2038419769 cat >>$CONFIG_STATUS <<_ACEOF
20385 CEOF$ac_eof
20386 _ACEOF
20387
20388
20389 ac_delim='%!_!# '
20390 for ac_last_try in false false false false false :; do
20391 cat >conf$$subs.sed <<_ACEOF
20392 LLVM_CONFIGTIME!$LLVM_CONFIGTIME$ac_delim
20393 BINDINGS_TO_BUILD!$BINDINGS_TO_BUILD$ac_delim
20394 ALL_BINDINGS!$ALL_BINDINGS$ac_delim
20395 OCAML_LIBDIR!$OCAML_LIBDIR$ac_delim
20396 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
20397 RPATH!$RPATH$ac_delim
20398 RDYNAMIC!$RDYNAMIC$ac_delim
20399 program_prefix!$program_prefix$ac_delim
20400 LIBOBJS!$LIBOBJS$ac_delim
20401 LTLIBOBJS!$LTLIBOBJS$ac_delim
20402 _ACEOF
20403
20404 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then
20405 break
20406 elif $ac_last_try; then
20407 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
20408 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
20409 { (exit 1); exit 1; }; }
20410 else
20411 ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
20412 fi
20413 done
20414
20415 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
20416 if test -n "$ac_eof"; then
20417 ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
20418 ac_eof=`expr $ac_eof + 1`
20419 fi
20420
20421 cat >>$CONFIG_STATUS <<_ACEOF
20422 cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
20423 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
20424 _ACEOF
20425 sed '
20426 s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
20427 s/^/s,@/; s/!/@,|#_!!_#|/
20428 :n
20429 t n
20430 s/'"$ac_delim"'$/,g/; t
20431 s/$/\\/; p
20432 N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
20433 ' >>$CONFIG_STATUS
20434 rm -f conf$$subs.sed
20435 cat >>$CONFIG_STATUS <<_ACEOF
20436 :end
20437 s/|#_!!_#|//g
2043819770 CEOF$ac_eof
2043919771 _ACEOF
2044019772
2068220014 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
2068320015 s&@INSTALL@&$ac_INSTALL&;t t
2068420016 $ac_datarootdir_hack
20685 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
20017 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed 's/|#_!!_#|//g' >$tmp/out
2068620018
2068720019 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
2068820020 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
22 #ifndef CONFIG_H
33 #define CONFIG_H
44
5 /* Exported configuration */
6 #include "llvm/Config/llvm-config.h"
7
8 /* Patch version of the LLVM API */
9 #undef LLVM_VERSION_PATCH
10
115 /* Bug report URL. */
126 #undef BUG_REPORT_URL
137
8 /* Define if we have libxml2 */
9 #undef CLANG_HAVE_LIBXML
10
11 /* Relative directory for resource files */
12 #undef CLANG_RESOURCE_DIR
13
14 /* Directories clang will search for headers */
15 #undef C_INCLUDE_DIRS
16
17 /* Default to all compiler invocations for --sysroot=. */
18 #undef DEFAULT_SYSROOT
19
1420 /* Define if you want backtraces on crash */
1521 #undef ENABLE_BACKTRACES
1622
2228
2329 /* Define if timestamp information (e.g., __DATE__) is allowed */
2430 #undef ENABLE_TIMESTAMPS
31
32 /* Directory where gcc is installed. */
33 #undef GCC_INSTALL_PREFIX
2534
2635 /* Define to 1 if you have the `backtrace' function. */
2736 #undef HAVE_BACKTRACE
6473 /* Define if dlopen() is available on this platform. */
6574 #undef HAVE_DLOPEN
6675
76 /* Define if the dot program is available */
77 #undef HAVE_DOT
78
6779 /* Define to 1 if you have the header file. */
6880 #undef HAVE_ERRNO_H
6981
443455 /* Linker version detected at compile time. */
444456 #undef HOST_LINK_VERSION
445457
458 /* Installation directory for binary executables */
459 #undef LLVM_BINDIR
460
461 /* Time at which LLVM was configured */
462 #undef LLVM_CONFIGTIME
463
464 /* Installation directory for data files */
465 #undef LLVM_DATADIR
466
467 /* Target triple LLVM will generate code for by default */
468 #undef LLVM_DEFAULT_TARGET_TRIPLE
469
470 /* Installation directory for documentation */
471 #undef LLVM_DOCSDIR
472
473 /* Define if threads enabled */
474 #undef LLVM_ENABLE_THREADS
475
446476 /* Define if zlib is enabled */
447477 #undef LLVM_ENABLE_ZLIB
478
479 /* Installation directory for config files */
480 #undef LLVM_ETCDIR
481
482 /* Has gcc/MSVC atomic intrinsics */
483 #undef LLVM_HAS_ATOMICS
484
485 /* Host triple LLVM will be executed on */
486 #undef LLVM_HOST_TRIPLE
487
488 /* Installation directory for include files */
489 #undef LLVM_INCLUDEDIR
490
491 /* Installation directory for .info files */
492 #undef LLVM_INFODIR
493
494 /* Installation directory for man pages */
495 #undef LLVM_MANDIR
496
497 /* LLVM architecture name for the native architecture, if available */
498 #undef LLVM_NATIVE_ARCH
499
500 /* LLVM name for the native AsmParser init function, if available */
501 #undef LLVM_NATIVE_ASMPARSER
502
503 /* LLVM name for the native AsmPrinter init function, if available */
504 #undef LLVM_NATIVE_ASMPRINTER
505
506 /* LLVM name for the native Disassembler init function, if available */
507 #undef LLVM_NATIVE_DISASSEMBLER
508
509 /* LLVM name for the native Target init function, if available */
510 #undef LLVM_NATIVE_TARGET
511
512 /* LLVM name for the native TargetInfo init function, if available */
513 #undef LLVM_NATIVE_TARGETINFO
514
515 /* LLVM name for the native target MC init function, if available */
516 #undef LLVM_NATIVE_TARGETMC
517
518 /* Define if this is Unixish platform */
519 #undef LLVM_ON_UNIX
520
521 /* Define if this is Win32ish platform */
522 #undef LLVM_ON_WIN32
523
524 /* Define to path to dot program if found or 'echo dot' otherwise */
525 #undef LLVM_PATH_DOT
526
527 /* Installation prefix directory */
528 #undef LLVM_PREFIX
529
530 /* Define if we have the Intel JIT API runtime support library */
531 #undef LLVM_USE_INTEL_JITEVENTS
532
533 /* Define if we have the oprofile JIT-support library */
534 #undef LLVM_USE_OPROFILE
535
536 /* Major version of the LLVM API */
537 #undef LLVM_VERSION_MAJOR
538
539 /* Minor version of the LLVM API */
540 #undef LLVM_VERSION_MINOR
541
542 /* Patch version of the LLVM API */
543 #undef LLVM_VERSION_PATCH
448544
449545 /* The shared library extension */
450546 #undef LTDL_SHLIB_EXT